{% extends 'base.html.twig' %}

{% block title %}
	{% include 'page/blocs/bloc-meta-title.html.twig' %}
{% endblock %}

{% block metaDescription %}
	{% include 'page/blocs/bloc-meta-description.html.twig' %}
{% endblock %}

{% block canonical %}
	{{ page is defined and page is not null ? getCanonicalUrlWithLink(page) : '' }}
{% endblock %}

{% block body %}
	{% set data_google_recaptcha_site_key = getDataEnumValue(constant('App\\Enum\\DataEnum::DATA_RECAPTCHA_PUBLIC_DEV_KEY')) %}
	{% set data_google_recaptcha_secret_key = getDataEnumValue(constant('App\\Enum\\DataEnum::DATA_RECAPTCHA_SECRET_DEV_KEY')) %}

	{{ encore_entry_link_tags('page-contact') }}

	<div class="page-detail">
		{% if page is defined and page is not null %}
			{% if page.banner is not null and page.banner != '' %}
				{% include 'page/elements/_banner.html.twig' with {page: page} %}
			{% endif %}

			<div class="pt-3">
				<h1 class="container mb-3 px-md-0">{{ pageElements.name}}</h1>
				{% if page.description %}
					{% include 'page/elements/_page-description.html.twig' with {'page': page} %}
				{% endif %}

				{% if page.contentPrimary is not null %}
					<p class="container">{{ pageElements.contentPrimary }}</p>
				{% endif %}

				<div class="container container-contact-form mt-5" data-aos="fade-up">
					<div class="row">
						<div class="col-sm-12 col-md-6">
							<h2>{{ 'page.contact.form.title'|trans }}</h2>
							<p>{{ 'page.contact.form.description'|trans }}</p>
							<p class="contact-information-right">{{ 'page.contact.form.information'|trans }}</p>
							<div class="contact-flashcode rounded text-center">
								<img src="{{ asset('assets/images/page/contact/flashcode.png') }}" alt="flashcode">
							</div>
							<p class="mt-2 text-center">{{'contact.book.qrcode.info'|trans}}</p>
							<a href="http://via.eviivo.com/LeCorrigot51530" target="_blank" class="btn btn-primary-custom w-100 mt-1">
								<i class="fa-solid fa-bookmark me-2"></i>
								{{ 'header.button.book'|trans }}
							</a>
						</div>
						<div class="col-sm-12 col-md-6">
							{% include 'page/elements/_page-contact-form.html.twig' %}
						</div>
					</div>
					<div>
						{% if page.contentSecondary is not null %}
							<p class="card-text">{{ page.contentSecondary|raw  }}</p>
						{% endif %}
					</div>
				</div>
			</div>
		{% else %}
			{% include 'page/404.html.twig' %}
		{% endif %}
	</div>

	{{ encore_entry_script_tags('page-contact') }}

{% endblock %}
